GETUID(2V)

NAME
getuid, geteuid - get user identity

SYNOPSIS
int getuid()

int geteuid()

SYSTEM V SYNOPSIS
#include <sys/types.h>

uid_t getuid()

uid_t geteuid()

DESCRIPTION

getuid() returns the real user ID of the current process, geteuid() the effective user ID.

The real user ID identifies the person who is logged in. The effective user ID gives the process different permissions during execution of “set-user-ID” mode processes, which use getuid() to determine the real-user-id of the process that invoked them.

SEE ALSO
getgid(2V), setreuid(2)